﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp95
{
    public partial class Form1 : Form
    {
        Model1Container container = new Model1Container();
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Contact c1 = new Contact();
            c1.FullName = "Maria Papa";
            c1.Address = "Karaoli & Dimitriou";
            c1.Email = "mari1@gmail.com";
            Telephone t1 = new Telephone();
            t1.Number = "2104142022";
            Telephone t2 = new Telephone();
            t2.Number = "692345678";
            c1.Telephone.Add(t1);
            c1.Telephone.Add(t2);
            container.ContactSet.Add(c1);
            container.SaveChanges();
            MessageBox.Show(container.ContactSet.Count().ToString());
        }

        private void button2_Click(object sender, EventArgs e)
        {
            var query = from b in container.ContactSet
                        select new { b.FullName, b.Email, b.Telephone };
            StringBuilder builder = new StringBuilder();
            foreach (var item in query)
            {
                builder.Append(item.FullName).Append(",").Append(item.Email).Append(",")
                    .Append(string.Join(",",item.Telephone.Select(p=>p.Number)))
                    .Append(Environment.NewLine);
            }
            MessageBox.Show(builder.ToString());
        }
    }
}
